jQuery(document).ready(function($){

$body=(window.opera)?(document.compatMode=="CSS1Compat"?$('html'):$('body')):$('html,body');//修复Opera滑动异常地，加过就不需要重复加了。

$('#shang').mouseover(function(){//鼠标移到id=shang元素上触发事件

        up();

    }).mouseout(function(){//鼠标移出事件

        clearTimeout(fq);

    }).click(function(){//点击事件

        $body.animate({scrollTop:0},400);//400毫秒滑动到顶部

});

$('#xia').mouseover(function(){

        dn();

    }).mouseout(function(){

        clearTimeout(fq);

    }).click(function(){

        $body.animate({scrollTop:$(document).height()},400);//直接取得页面高度，不再是手动指定页尾ID

});

$('#comt').click(function(){

    $body.animate({scrollTop:$('#comments').offset().top},400);//滑动到id=comments元素，遇到不规范的主题需调整

});

}); 

//下面部分放jQuery外围，几个数值不妨自行改变试试

function up(){

   $wd = $(window);

   $wd.scrollTop($wd.scrollTop() - 1);

   fq = setTimeout("up()", 50);

}

function dn(){

   $wd = $(window);

   $wd.scrollTop($wd.scrollTop() + 1);

   fq = setTimeout("dn()", 50);

} 

